/*
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 */

package quests.java;

import com.l2jcore.Game.model.actor.instance.L2NpcInstance;
import com.l2jcore.Game.model.actor.instance.L2PcInstance;
import com.l2jcore.Game.model.quest.Quest;
import com.l2jcore.Game.model.quest.QuestState;
import com.l2jcore.Game.model.quest.State;

public class q18_MeetingWithTheGoldenRam extends Quest
{
	private static final int SUPPLY_BOX = 7245;

	private State CREATED;
	private State STARTED;
	private State COMPLETED;

	public q18_MeetingWithTheGoldenRam(int questId, String name, String descr)
	{
		super(questId, name, descr);
		CREATED = new State("Start", this);
		STARTED = new State("Started", this);
		COMPLETED = new State("Completed", this);
		this.setInitialState(CREATED);
		
		addStartNpc(31314);
		addTalkId(31314);
		addTalkId(31315);
		addTalkId(31555);
	}

	public String onEvent(String event, QuestState st)
	{
		if(event.equals("31314-2.htm"))
		{
			st.set("cond", "1");
			st.setState(STARTED);
			st.playSound("ItemSound.quest_accept");
		}
		else if(event.equals("31315-2.htm"))
		{
			st.set("cond", "2");
			st.giveItems(SUPPLY_BOX, 1);
			st.playSound("ItemSound.quest_accept");
		}
		else if(event.equals("31555-2.htm"))
		{
			st.takeItems(SUPPLY_BOX, 1);
			st.giveItems(57, 15000);
			st.addExpAndSp(0, 50000);
			st.set("cond", "0");
			st.playSound("ItemSound.quest_finish");
			st.exitQuest(false);
		}
		return event;
	}

	public String onTalk(L2NpcInstance npc, L2PcInstance talker)
	{
		QuestState st = talker.getQuestState(getName());
		String htmltext = "<html><body>You are either not on a quest that involves this NPC, or you don't meet this NPC's minimum quest requirements.</body></html>";
		
		if( st.getState() == COMPLETED)
		{
			htmltext = "<html><body>This quest has already been completed.</body></html>";
			return htmltext;
		}
		
		if(st == null) return htmltext;
		int npcId = npc.getNpcId();
		int cond = st.getInt("cond");
		if(npcId == 31314)
		{
			if(cond == 0)
				if(st.getPlayer().getLevel() >= 66)
					htmltext = "31314-1.htm";
				else
				{
					htmltext = "31314-00.htm";
					st.exitQuest(true);
				}
			else if(cond == 1)
				htmltext = "31314-2r.htm";
		}
		else if(npcId == 31315)
		{
			if(cond == 1)
				htmltext = "31315-1.htm";
			else if(cond == 2)
				htmltext = "31315-2r.htm";
		}
		else if(npcId == 31555)
			if(cond == 2 && st.getQuestItemsCount(SUPPLY_BOX) == 1)
				htmltext = "31555-1.htm";
		return htmltext;
	}
	
	public static void main(String[] args)
	{
		_log.info("18_MeetingwiththeGoldenRam:     load");
		new q18_MeetingWithTheGoldenRam(18, "18_MeetingwiththeGoldenRam", "Meeting with the GoldenRam");    	
	}
}
